aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBryan Newbold <bnewbold@archive.org>2021-04-09 19:32:42 -0700
committerBryan Newbold <bnewbold@archive.org>2021-04-09 19:32:42 -0700
commit3aa7276e7ef5b9e8276328b24dff3b9aef7e7367 (patch)
tree844fb0f3d7f5c1930d6f6a7d1a514d19759b9c93
parentb81c6bb77e75b80b1bba7b0609412bd613830d47 (diff)
downloadfatcat-cli-3aa7276e7ef5b9e8276328b24dff3b9aef7e7367.tar.gz
fatcat-cli-3aa7276e7ef5b9e8276328b24dff3b9aef7e7367.zip
add very crude 'live' test against API (shell script)
-rw-r--r--Makefile1
-rwxr-xr-xtests/live.sh11
2 files changed, 12 insertions, 0 deletions
diff --git a/Makefile b/Makefile
index 16ae25d..3e65b24 100644
--- a/Makefile
+++ b/Makefile
@@ -8,6 +8,7 @@ help: ## Print info about all commands
.PHONY: test
test: ## Run all tests
cargo test
+ ./tests/live.sh
.PHONY: lint
lint: ## Run syntax/style checks
diff --git a/tests/live.sh b/tests/live.sh
new file mode 100755
index 0000000..06cbfbf
--- /dev/null
+++ b/tests/live.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e -u -o pipefail
+
+export FATCAT=./target/debug/fatcat-cli
+
+$FATCAT search releases "metadata author:phillips" > /dev/null
+
+$FATCAT get doi:10.1002/spe.659 > /dev/null
+
+$FATCAT search releases journal:"first monday" --entity-json --expand files | $FATCAT batch --limit 1 download > /dev/null